Autor Zpráva
K.
Profil *
Hezky vecer.

Reinstaloval jsem si pocitac a nyni kdyz si chci nainstalovat vse potrebne pro webovy vyvoj jsem narazil na mensi problem.
Mam nainstalovano php 5.2.5 a mysql 5.1.24 a vzdy kdyz provadim nejaky dotaz nad DB, tak se mi zobrazuje chyba: #2014 - Commands out of sync; you can't run this command now.
Bohuzel se mi nepodarilo najit zadne reseni tohoto problemu. Nevite nekdo co s tim, prosim? (Respektive kde muze byt zakopany pes?)

K.
Mastodont
Profil
Nevoláš náhodou mysql_pconnect()? Co používáš pro přístup k datům - mysqli, PDO?
K.
Profil *
Vyuzivam mysqli skrze AdoDB, ale zkousel jsem to i samostatne.

Praveze me zarazi, ze se to v pohode pripoji k db a problem nastane pouze tehdy, kdyz provadim select dotaz na nejakou tabulku obsahujici sloupec s varcharem (tj. s intem to funguje v pohode).
K.
Profil *
Problem vyresen.
Vazne netusim, co konkretne to zpusobovalo.... zkousel jsem i php + mysql ve verzi, kterou jsem bez problemu pouzival pred reinstalaci windows a delalo to to same. Nakonec jsem to vyresil tak, ze jsem si stahl nejaktualnejsi verzi rozsireni mysqli pro php a na tom to nastesti funguje.
Toto téma je uzamčeno. Odpověď nelze zaslat.